/*
 * Session utilities.
 *
 * Copyright (C) 2022 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

#include "session.h"



/* Alternative metadata set by options. */

struct metadata md;



/* Parse program options. */

int parse_options(int argc, char *argv[])
{
    int opt;

    md.have_uid = 0;
    md.have_gid = 0;
    md.mask = 0000;

    while ((opt = getopt(argc, argv, "g:m:u:")) != -1)
    {
        switch (opt)
        {
            case 'g':
            md.gid = atoi(optarg);
            md.have_gid = 1;
            break;

            case 'm':
            md.mask = strtol(optarg, NULL, 0);
            break;

            case 'u':
            md.uid = atoi(optarg);
            md.have_uid = 1;
            break;

            default:
            fprintf(stderr, "Option not recognised: %s\n", argv[optind]);
            return -1;
        }
    }

    return 0;
}

/* vim: tabstop=4 expandtab shiftwidth=4
*/
